# Modbus Settings

## 1)  Modbus/RS485 Settings

### <mark style="color:blue;">modBus</mark><mark style="color:blue;">**Settings**</mark>

Modbus Settings block for first channel of Modbus/RS485

{% code lineNumbers="true" %}

```json
  "modBusSettings": {
    "mbBaudRate": "9600",
    "mbParity": "1",
    "mbSlaveCnt": 1,
    "mbReadTryCount": "1",
    "mbHwSerial": 0
  },
```

{% endcode %}

<table data-full-width="false"><thead><tr><th>JSON key</th><th width="343">Description</th><th>Remarks</th></tr></thead><tbody><tr><td>mbBaudRate</td><td></td><td></td></tr><tr><td>mbParity</td><td></td><td></td></tr><tr><td>mvSlaveCnt</td><td></td><td></td></tr><tr><td>mbReadTryCount</td><td></td><td></td></tr><tr><td>mbHwSerial</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">modBus</mark><mark style="color:blue;">**Slaves**</mark>

Modbus slaves information block for first channel of Modbus/RS485

```json
  "modBusSlaves": [
    {
      "slaveID": "1",
      "mbRegCnt": 1,
      "mbArray": [
        {
          "varName": "MODBUS",
          "mbReg": "40004",
          "varType": "1",
          "varFactor": "1"
        }
      ]
    }
  ],

```

## 2) Modbus TCP/IP Settings

## 3) Modbus RS485 Settings (Channel#2)

## 4) Modbus Server Settings


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yudash.com/yudash-json-api/modbus-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
